MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_internal.h File Reference

`#include "playlist.h"`

Go to the source code of this file.

## Functions
struct song * | playlist_get_queued_song (struct playlist *playlist)
| Returns the song object which is currently queued.
void | playlist_update_queued_song (struct playlist *playlist, const struct song *prev)
| Updates the "queued song".
void | playlist_play_order (struct playlist *playlist, int orderNum)

## Function Documentation

struct song* playlist_get_queued_song | ( | struct playlist * | playlist | ) | `[read]`

Returns the song object which is currently queued.

Returns none if there is none (yet?) or if MPD isn't playing.

void playlist_play_order | ( | struct playlist * | playlist,
|  | int | orderNum
| ) |  |

void playlist_update_queued_song | ( | struct playlist * | playlist,
|  | const struct song * | prev
| ) |  |

Updates the "queued song".

Calculates the next song according to the current one (if MPD isn't playing, it takes the first song), and queues this song. Clears the old queued song if there was one.

Parameters:

  prev | the song which was previously queued, as determined by playlist_get_queued_song()